error instaling vasp 5.4.1

Questions regarding compilation of VASP on various platforms.

Moderators: Moderator, Global Moderator

error instaling vasp 5.4.1

Postby chelman » Wed Sep 30, 2015 4:36 pm

Hi
I'm trying to compile the version 5.4.1 with the corresponding patches : patch.5.4.1.08072015 and patch.5.4.1.08072015 downloaded from the official web page.
I have the fortran version of the composer_xe_2013.1.117 with openmpi in an Gb ethernet network.
The error I get is at linking time for vasp:

subrot.o: In function `dump_ham_distri_':
subrot.f90:(.text+0x13e20): undefined reference to `recon_slice_'
make[2]: *** [vasp] Error 1
make[2]: Leaving directory `/share/apps/vasp.5.4.1/build/std'
cp: cannot stat `vasp': No such file or directory
make[1]: *** [all] Error 1
make[1]: Leaving directory `/share/apps/vasp.5.4.1/build/std'
make: *** [std] Error 2

The makefile.include is:
**************************************
# Precompiler options
CPP_OPTIONS= -DMPI -DHOST=\"IFC91_ompi\" -DIFC \
-DCACHE_SIZE=4000 -DPGF90 -Davoidalloc \
-DMPI_BLOCK=8000 -Duse_collective \
-DnoAugXCmeta -Duse_bse_te \
-Duse_shmem -Dtbdyn

CPP = fpp -f_com=no -free -w0 $*$(FUFFIX) $*$(SUFFIX) $(CPP_OPTIONS)

FC = mpif90
FCL = mpif90 -mkl

FREE = -free -names lowercase

FFLAGS = -assume byterecl
OFLAG = -O2 -axSSE4.2 -nofor-main
OFLAG_IN = $(OFLAG)
DEBUG = -O0

MKL_PATH = $(MKLROOT)/lib/intel64
BLAS =
LAPACK = $(MKLROOT)/lib/intel64/libmkl_cdft_core.a $(MKLROOT)/lib/intel64/libmkl_intel_lp64.a $(MKLROOT)/lib/intel64/libmkl_sequential.a $(MKLROOT)/lib/intel64/libmkl_core.a $(MKLROOT)/lib/intel64/libmkl_blacs_openmpi_lp64.a
#BLACS = -lmkl_blacs_intelmpi_lp64
#SCALAPACK = $(MKL_PATH)/libmkl_scalapack_lp64.a $(BLACS)

OBJECTS = fftmpiw.o fftmpi_map.o fftw3d.o fft3dlib.o \
$(MKLROOT)/interfaces/fftw3xf/libfftw3xf_intel.a
INCS =-I$(MKLROOT)/include/fftw -I/opt/intel/composer_xe_2013.1.117/mkl/include

LLIBS = $(SCALAPACK) $(LAPACK) $(BLAS) -lpthread -lm

OBJECTS_O1 += fft3dfurth.o fftw3d.o fftmpi.o fftmpiw.o
OBJECTS_O2 += fft3dlib.o

# For what used to be vasp.5.lib
CPP_LIB = $(CPP)
FC_LIB = $(FC)
CC_LIB = gcc
CFLAGS_LIB = -O
FFLAGS_LIB = -O1
FREE_LIB = $(FREE)

OBJECTS_LIB= linpack_double.o getshmem.o

# Normally no need to change this
SRCDIR = ../../src
BINDIR = ../../bin
**************************************

Any help will be appreciated
Thanks!!

Christian
chelman
Newbie
Newbie
 
Posts: 13
Joined: Fri Mar 11, 2011 4:58 pm
Location: Buenos Aires, Argentina

Re: error instaling vasp 5.4.1

Postby gtelzur » Sat Oct 31, 2015 7:56 pm

Hello,

I got the same "cp: cannot stat `vasp': No such file or directory" error message using gfortran and mpich on CentOS 7.
Any comment will be appreciated too.

G.
gtelzur
Newbie
Newbie
 
Posts: 1
Joined: Sun Oct 25, 2015 8:27 pm


Return to Installation problems

Who is online

Users browsing this forum: No registered users and 4 guests